#!make

setup-venv:
	python -m venv .venv

setup-deps:
	source .venv/bin/activate && pip install -r requirements.txt

compile:
	source .venv/bin/activate && sphinx-build -M html source build

clean:
	rm -rf build/html/*

nginx-up:
	podman-compose -f compose.dev.yml --project "ss14-docs" up -d

nginx-down:
	podman-compose -f compose.dev.yml --project "ss14-docs" down

push:
	cd build/html && rsync -zhr * 'dedic2:/var/www/html/docs/ss14/'
